INSTALLATION FROM SOURCE:

1) LINUX

First install the following dependencies:

-Python 2.5 or later (http://www.python.org)
-PyQt 4.5 or later
 (http://www.riverbankcomputing.co.uk/software/pyqt/download)
-If you want to be able to enter formulas using latex syntax, make sure
 that latex and dvipng are installed.
-Matplotlib (http://matplotlib.sourceforge.net/)
-EasyInstall (http://peak.telecommunity.com/DevCenter/EasyInstall)
-CherryPy 3.2 or later (http://www.cherrypy.org)
-Webob 1.4 or later (http://webob.org)

Under Ubuntu, these dependencies can be resolved by installing the
following packages:

python-cherrypy3 python-virtualenv python-qt4-dev pyqt4-dev-tools
qt4-designer python-qt4-sql libqt4-sql-sqlite python-matplotlib
python-qt4-phonon python-sphinx python-webob python-setuptools

To actually install mnemosyne:
-Extraxt the .tar.gz file and change to its root directory (i.e.
 probably the directory where you found this README file).
-Type 'python setup.py install' as root.

To test the installation:
-Change to any other directory e.g. by typing 'cd ~'.
-Run the application by typing 'mnemosyne'.

If you run into the issue of non-latin characters not displaying on statistic
plots, install ttf-mscorefonts-installer and regenerate the font cache of
matplotlib.

2) MAC OS/X

-Install Macports (www.macports.org).
-Install the dependencies for Mnemosyne with the following command.

sudo port install bzr python27 py27-sip py27-matplotlib py27-virtualenv 
py27-setuptools py-cherrypy3 py27-webob python_select py-virtualenvwrapper 
qt4-mac py27-pyqt4 qt4-mac-sqlite3-plugin

-Download the Mnemosyne source from the linux download link.
-Change to the unpacked source directory and run this command:

sudo make osx

-The built app will appear in the dist directory. You can then drag and drop the app 
 into your Applications directory.
